<?php
require_once("../_ayarlar.php");
require_once("../_fonksiyonlar.php");
?>
<!DOCTYPE html>
<html lang="tr">

<head>
    <?php include("_head.php") ?>
    <title>Haber Ekleme Bilgilendirmesi</title>
</head>

<body id="page-top">

    <!-- Page Wrapper -->
    <div id="wrapper">

        <?php include("_sidebar.php") ?>

        <!-- Content Wrapper -->
        <div id="content-wrapper" class="d-flex flex-column">

            <!-- Main Content -->
            <div id="content">

                <?php include("_topbar.php") ?>

                <!-- Sayfaya Özel İçerik -->
                <div class="container-fluid">

                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary">Haber Ekleme Bilgilendirmesi</h6>
                        </div>
                        <div class="card-body">

                            <?php

                            $baslik = addslashes($_POST["baslik"]);
                            $icerik = addslashes($_POST["icerik"]);
                            $kategori = addslashes($_POST["kategori"]);
                            $ekleyen = uye("id");
                            $gecici_adres = $_FILES["kapak"]["tmp_name"];
                            $kapak_ad = $_FILES["kapak"]["name"];
                            $uzanti = pathinfo($kapak_ad, PATHINFO_EXTENSION);
                            $final_ad = donustur($baslik, $uzanti);
                            $yeni_adres = "../kapak/$final_ad";
                            if ($uzanti == "jpg" or $uzanti == "png") {
                                $yukle = move_uploaded_file($gecici_adres, $yeni_adres);

                                if ($yukle) {
                                    $sql = "INSERT INTO haber (baslik, icerik, kategori, kapak, ekleyen) VALUES ('$baslik', '$icerik', '$kategori', '$final_ad', '$ekleyen')";

                                    # echo $sql;

                                    $ekleme = $vt->query($sql);

                                    if ($ekleme) {
                                        echo '<div class="alert alert-success" role="alert">
                                    <h4 class="alert-heading">Haber Eklendi!</h4>
                                    <p>' . $baslik . ' başlıklı haber başarıyla eklendi.</p>
                                    <hr>
                                    <p class="mb-0">Yönlendiriliyorsunuz...</p>
                                </div>';
                                        header("Refresh:4; url=haber-ekle.php");
                                    } else {
                                        echo '<div class="alert alert-danger" role="alert">
                                    <h4 class="alert-heading">Haber Eklenemedi!</h4>
                                    <p>Lütfen tekrar deneyiniz.</p>
                                    <hr>
                                    <p class="mb-0">Yönlendiriliyorsunuz...</p>
                                </div>';
                                        header("Refresh:4; url=haber-ekle.php");
                                    }
                                } else {
                                    echo "Kapak resmi yüklenirken hata meydana geldi. Lütfen tekrar deneyiniz.";
                                }
                            } else {
                                echo "Lütfen jpg ya da png formatında bir dosya yükleyiniz!";
                            }

                            ?>

                        </div>
                    </div>

                </div>
                <!-- /.container-fluid -->

            </div>
            <!-- End of Main Content -->

            <?php include("_footer.php") ?>

        </div>
        <!-- End of Content Wrapper -->

    </div>
    <!-- End of Page Wrapper -->

    <!-- Scroll to Top Button-->
    <a class="scroll-to-top rounded" href="#page-top">
        <i class="fas fa-angle-up"></i>
    </a>

    <?php include("_script.php") ?>
</body>

</html>